|
|||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||
java.lang.Objectcom.tenduke.services.objectmodel.formhandler.AbstractFormHandler
public abstract class AbstractFormHandler
Abstract base class for FormDataHandler implementations.
This class simply stores the key-value pairs of a form into a hash map for derived classes to use.
| Constructor Summary | |
|---|---|
protected |
AbstractFormHandler(Profile modifiedBy,
javax.servlet.http.HttpServletRequest request)
Creates a new instance of the AbstractFormHandler class. |
| Method Summary | |
|---|---|
Profile |
getModifyingProfile()
Gets Profile used as modifying Profile for updates made by the handler. |
javax.servlet.http.HttpServletRequest |
getRequest()
Gets request that is parsed by the handler. |
java.util.Map<java.lang.String,java.lang.String> |
getRequestParameters()
Gets map with request parameters stored in handleParameterPart(java.lang.String, java.lang.String). |
void |
handleParameterPart(java.lang.String parameterName,
java.lang.String parameterValue)
Store single form field as a key-value entry to the hash map. |
void |
setModifyingProfile(Profile modifyingProfile)
Sets Profile used as modifying Profile for updates made by the handler. |
void |
setRequest(javax.servlet.http.HttpServletRequest request)
Sets request that is parsed by the handler. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Methods inherited from interface com.tenduke.networking.http.FormDataHandler |
|---|
beginHandling, endHandling, getPathForFileWrite, handleFilePart, handleHeader |
| Constructor Detail |
|---|
protected AbstractFormHandler(Profile modifiedBy,
javax.servlet.http.HttpServletRequest request)
modifiedBy - Profile used as modifying Profile for updates made by the handler.request - Request that is parsed by the handler.| Method Detail |
|---|
public Profile getModifyingProfile()
public javax.servlet.http.HttpServletRequest getRequest()
public java.util.Map<java.lang.String,java.lang.String> getRequestParameters()
handleParameterPart(java.lang.String, java.lang.String).
public void handleParameterPart(java.lang.String parameterName,
java.lang.String parameterValue)
null, no entries
are stored.
handleParameterPart in interface FormDataHandlerparameterName - Parameter nameparameterValue - Parameter valuepublic void setModifyingProfile(Profile modifyingProfile)
modifyingProfile - Profile used as modifying Profile for updates made by the handler.public void setRequest(javax.servlet.http.HttpServletRequest request)
request - Request that is parsed by the handler.
|
|||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||